#!/bin/sh 
set -e
set +x 

(
        echo OPACK: Starting provisioning.
        sysctl -n kern.version
        printf 'permit nopass :wheel\n' > /etc/doas.conf
	pkg_add -u 2> /dev/null || pkg_add -u -D snap 2> /dev/null
	while(pgrep -f reorder_kernel > /dev/null) do echo Waiting for reorder_kernel to finish...; sleep 10; done
	syspatch || (echo "Continuing"; true)
	rm -f /etc/ssh/ssh_host*
        find /var/log -type f | while read f; do echo -ne '' > $f; done
        find /tmp -type f | while read f; do echo -ne '' > $f; done
	for part in $(df | tail -n+2 | awk '{print $6}'); do dd if=/dev/zero of=$part/EMPTY bs=1M || true; rm -f $part/EMPTY || true; done
        sync
        sync
        echo OPACK: provisionning done.
)
exit 0
